summaryrefslogtreecommitdiff
path: root/tests/gtest_dlt_daemon_gateway.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/gtest_dlt_daemon_gateway.sh')
-rwxr-xr-xtests/gtest_dlt_daemon_gateway.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/tests/gtest_dlt_daemon_gateway.sh b/tests/gtest_dlt_daemon_gateway.sh
index 5b7951d..5a357b3 100755
--- a/tests/gtest_dlt_daemon_gateway.sh
+++ b/tests/gtest_dlt_daemon_gateway.sh
@@ -169,8 +169,10 @@ setupTest()
echo "SendControl=0x03,0x13" >>$tmpPath/dlt_gateway.conf
echo "SendSerialHeader=0" >>$tmpPath/dlt_gateway.conf
echo "NOFiles=1" >>$tmpPath/dlt_gateway.conf
+
return 0
}
+
#
# Function: -startDaemons()
#
@@ -184,7 +186,7 @@ startDaemons()
{
DLT_PASSIVE_SHM_NAME=""
tmpPath=/tmp
- dlt-daemon -d
+ dlt-daemon -c $tmpPath/dlt_passive.conf &
sleep 1
# Check if the dlt shm file exist (DLT_SHM_ENABLE=ON)
@@ -192,7 +194,7 @@ startDaemons()
DLT_PASSIVE_SHM_NAME="-s dlt-shm-passive"
fi
- dlt-daemon -d -p 3495 -c $tmpPath/dlt.conf $DLT_PASSIVE_SHM_NAME
+ dlt-daemon -p 3495 -c $tmpPath/dlt.conf $DLT_PASSIVE_SHM_NAME &
return 0
}
@@ -212,7 +214,7 @@ checkDaemonStart()
if [ $total -ne '2' ]; then
echo "Initialization of dlt-daemon instances failed"
- exit
+ exit 1
fi
}